clear()
//Methode hybride
function y=f(x)
y=(1+x.^2).*x.^(-3/4)
endfunction
//I = (h^(1-b)/(1-b)) * f(h*u)*(h*u)^b + ((1-h)/N)* sum(f(h+(x+dx/2)*(1-h)))
//
//
h = 10^(-1) ;
b = 3/4
u = (1-b)/(2-b)
L=[]
nmin = 100 ;
nmax = 1000 ;
for N=nmin:nmax
dx = 1/N
x= [0:dx:1-dx]
I = (h^(1-b)/(1-b)) * f(h*u)*(h*u)^b + ((1-h)/N)* sum(f(h+(x+dx/2)*(1-h)))
L=[L,I]
end
plot(log(nmin:1:nmax) , log(abs(40/9-L))) ;
xtitle('Estimation erreur methode hybride avec singularité pour h=10^-1', '$\log
(N)$','$\log(I-I_N)$')
//
//[a,b,r]=reglin(log(nmin:1:nmax) , log(abs(4-L))) ;
//chaine=['Pente=', string(a)] ;
//xstring(5.8,-0.4, chaine)
//
//h = 10^(-3) ;
//b = 3/4
//u = (1-b)/(2-b)
//
h2=10^(-3)
L1=[]
for N=nmin:nmax
dx = 1/N
x= [0:dx:1-dx]
I = (h2^(1-b)/(1-b)) * f(h2*u)*(h2*u)^b + ((1-h2)/N)* sum(f(h2+(x+dx/2)*(1-h
2)))
L1=[L1,I]
end
xclick()
close()
plot(log(nmin:1:nmax) , log(abs(40/9-L1))) ;
xtitle('Estimation erreur methode hybride avec singularité pour h=10^-3', '$\log
(N)$','$\log(I-I_N)$')
xclick()
plot(log(nmin:1:nmax), -2*(log(nmin:1:nmax)-log(nmin))+log(abs(40/9-L1(1))),'g')
;
L2=[]
for N=nmin:nmax
h3=1/sqrt(N)
dx = 1/N
x= [0:dx:1-dx]
I = (h3^(1-b)/(1-b)) * f(h3*u)*(h3*u)^b + ((1-h3)/N)* sum(f(h3+(x+dx/2)*(1-h
3)))
L2=[L2,I]
end
xclick()
close
plot(log(nmin:1:nmax) , log(abs(40/9-L2))) ;
xtitle('Estimation erreur methode hybride avec singularité pour h=1/sqrt(N)',
'$\log(N)$','$\log(I-I_N)$')
[a,b,r]=reglin(log(nmin:1:nmax) , log(abs(40/9-L2))) ;
chaine=['Pente=', string(a)] ;
xstring(5.8,-7, chaine)
function y=f1(x)
y=sqrt(10*x).^(-1)
endfunction
b1 = 1/2
u1 = (1-b1)/(2-b1)
N=1000
h3=1/sqrt(N)
dx = 1/N
x= [0:dx:1-dx]
I = ((h3^(1-b1))/(1-b1)) * f1(h3*u1)*(h3*u1)^b1 + ((1-h3)/N)* sum(f1(h3+(x+dx/2)*
(1-h3)))
disp(N,'pour un nombre de points N=',)
disp(I,'Methode hybride : Temps de descente pour le toboggan plan')
function y=f2(x)
y=((sqrt(1+(4*x).^(-1)))).*sqrt(20*sqrt(x)).^(-1)
endfunction
b1 = 3/4
u1 = (1-b1)/(2-b1)
N=100
h3=1/sqrt(N)
dx = 1/N
x= [0:dx:1-dx]
I = ((h3^(1-b1))/(1-b1)) * f2(h3*u1)*(h3*u1)^b1 + ((1-h3)/N)* sum(f2(h3+(x+dx/2)*
(1-h3)))
disp(I,'Methode hybride : Temps de descente pour le toboggan raide')
function y=g(x)
y=1/2.*(x.^(3/2)).*(5-3*x)
endfunction
function y=h(x)
y=((3/2)*(x.^(1/2)).*(5-3*x)-3*x.^(3/2))/2
endfunction
function y=f3(x)
y=(sqrt(1+h(x).^2)).*((sqrt(20*g(x)))).^(-1)
endfunction
b1 = 3/4
u1 = (1-b1)/(2-b1)
N=1000
h3=1/sqrt(N)
dx = 1/N
x= [0:dx:1-dx]
I = ((h3^(1-b1))/(1-b1)) * f3(h3*u1)*(h3*u1)^b1 + ((1-h3)/N)* sum(f3(h3+(x+dx/2)*
(1-h3)))
disp(I,'Methode hybride : Temps de descente pour le toboggan doux')
