clear()
//Point milieu
N = 5000 ;
dx = 1/N
x = [0:dx:1-dx] ;
function y=f1(x)
y=(1+x.^2).*x.^(-3/4)
endfunction
function y=f2(x)
y=x.^(-3/4)
endfunction
function y=f3(x)
y=x.^(-5/6)
endfunction
//I = (1/N) * sum(f(x+(dx/2))) ;
L1=[]
L2=[]
L3=[]
nmin = 100 ;
nmax = 1000 ;
for N=nmin:nmax
dx = 1/N
x= [0:dx:1-dx]
I1 = (1/N) * sum(f1(x+(dx/2)))
I2 = (1/N) * sum(f2(x+(dx/2)))
I3 = (1/N) * sum(f3(x+(dx/2)))
L1=[L1,I1]
L2=[L2,I2]
L3=[L3,I3]
end
plot(log(nmin:1:nmax) , log(abs(4-L2)))
xtitle('Estimation erreur point milieu avec singularité pour f(x)=x.^(-3/4)',
'$\log(N)$','$\log(I-I_N)$')
[a2,b,r]=reglin(log(nmin:1:nmax) , log(abs(4-L2))) ;
chaine2=['Pente=', string(a2)] ;
xstring(6,-0.3, chaine2)
xclick()
close
plot(log(nmin:1:nmax) , log(abs((40/9)-L1)))
xtitle('Estimation erreur point milieu avec singularité pour f(x)=(1+x.^2).*x.^(-
3/4)', '$\log(N)$','$\log(I-I_N)$')
[a1,b,r]=reglin(log(nmin:1:nmax) , log(abs(40/9-L1))) ;
chaine1=['Pente=', string(a1)] ;
xstring(6,-0.3, chaine1)
xclick()
close
plot(log(nmin:1:nmax) , log(abs(6-L3)))
xtitle('Estimation erreur point milieu avec singularité pour f(x)=x^-5/6', '$\log
(N)$','$\log(I-I_N)$')
[a3,b,r]=reglin(log(nmin:1:nmax) , log(abs(6-L3))) ;
chaine3=['Pente=', string(a3)] ;
xstring(6,0.65, chaine3)

function y=f4(x)
y=sqrt(10*x).^(-1)
endfunction
function y=f5(x)
y=((sqrt(1+(4*x).^(-1)))).*sqrt(20*sqrt(x)).^(-1)
endfunction
function y=g(x)
y=1/2.*(x.^(3/2)).*(5-3*x)
endfunction

N1= 1000
dx1 = 1/N1
x1= [0:dx1:1-dx1]
I4 = (1/N1) * sum(f4(x1+(dx1/2)))
I5 = (1/N1) * sum(f5(x1+(dx1/2)))
I6 = (1/N1) * sum(f6(x1+(dx1/2)))
disp(N1,'Pour un nombre de points N=')
disp(I4,'Methode point milieu : Temps de descente pour le toboggan doux')
disp(I5,'Methode point milieu : Temps de descente pour le toboggan raide')
disp(I6,'Methode point milieu : Temps de descente pour le toboggan doux')
